First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 129189
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Chris Bainbridge (RETIRED) <chrb@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Tuan Van (RETIRED) <langthang@gentoo.org>
Add CC:
CC:
Remove selected CCs
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 129189 depends on: Show dependency tree
Show dependency graph
Bug 129189 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)







View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2006-04-07 17:20 0000
there are some man pages don't get install by default. Below is patch to
install them. (It is small so I just paste it in here)

--- xen-tools-3.0.1_p9029.ebuild.old    2006-03-31 18:10:14.000000000 -0800
+++ xen-tools-3.0.1_p9029.ebuild        2006-04-07 18:10:51.000000000 -0700
@@ -72,6 +72,8 @@
                sh ./docs/check_pkgs || die "package check failed"
                make -C docs ${myopt} || die "compiling docs failed"
        fi
+
+       emake -C docs man-pages || die "make man-pages failed"
 }

 src_install() {
@@ -80,6 +82,8 @@
        make DESTDIR=${D} ${myopt} install-tools \
                || die "install failed"

+       doman docs/man1/xm.1 docs/man5/{xend-config.sxp,xmdomain.cfg}.5
+
        if use doc; then
                make DESTDIR=${D} -C docs install || die "install docs failed"
                # Rename doc/xen to the Gentoo-style doc/xen-x.y


It would be nice if you can include this in the next bump to 3.0.2 :)

------- Comment #1 From Chris Bainbridge (RETIRED) 2006-04-10 05:19:12 0000 -------
Thanks for noticing, should now be fixed in 3.0.2

First Last Prev Next    No search results available      Search page      Enter new bug